import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Ogrod extends World
{
   
   Czas odmierzanieCzasu;
   Jez zwierzatko;
   Punktacja zliczaniePunktow;
   
    public Ogrod()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 600, 1);
        
        zliczaniePunktow = new Punktacja();
        addObject(zliczaniePunktow, 400, 500);
        
        odmierzanieCzasu = new Czas();
        addObject(odmierzanieCzasu, 100, 500);
        
        Drzewo drzewkoLewe = new Drzewo();
        addObject(drzewkoLewe, 100, 255);
        
        Drzewo drzewkoSrodkowe = new Drzewo();
        addObject(drzewkoSrodkowe, 400, 255);
        
        Drzewo drzewkoPrawe = new Drzewo();
        addObject(drzewkoPrawe, 700, 255);
      
        Jablko owocLewy = new Jablko();
        addObject(owocLewy, 100, 110);
        
        Jablko owocSrodkowy = new Jablko();
        addObject(owocSrodkowy, 402, 110);
        
        Jablko owocPrawy = new Jablko();
        addObject(owocPrawy, 700, 110);
        
        zwierzatko = new Jez();
        addObject(zwierzatko, 395,420);
       
        zwierzatko.setRotation(0);
        
        zwierzatko.getImage().mirrorHorizontally();
        zwierzatko.getImage().mirrorHorizontally();
        zwierzatko.strzalkaLewa = 0; 
        zwierzatko.strzalkaPrawa = 0; 
        zwierzatko.strzalkaGora = 0;
        zwierzatko.znacznikKierunku = 0;
        zwierzatko.znacznikKierunkuPoczatkowy = 1;
        
        zliczaniePunktow.punkty = 0;
        showText("Punkty: 0", 400, 550);
    }
    
    public void act()
    {
        odmierzanieCzasu.czasGry();
    }
    
}
